Subject: Ticket Assigned - Feedback or suggestions
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sun, 18 Oct 2020 05:05:41 +0000

Hi Shivani Rani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Hi,

I placed an order for a baby swing through the baby shop online services on the 12th of Oct 2020. It mentioned to the online platform that the delivery would be done by 15th of Oct. But it’s really unfortunate that it’s not been delivered till 17th. This was supposed to be a gift which should have been delivered by 15th. Now it defeats the whole purpose of having ordered this thing online. 

And I have to also mention that, I called up your call center at least 10 times, and each time I was told that someone would contact me with an update on the delivery, but I haven’t seen or heard from anyone yet. This is absolutely poor service levels coming from such a brand name. It took me 3 days of constant calls to your contact center to even get in touch with a manager. She promised me that she would return my call with a status update but again no response. There is no proper communication and I am forced to take this up with consumer care department if I do not get a response to my mails. 

My order no is 9607784666

Thanks 
Divya https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1594240